fosslic(1)

NAME
fosslic - Perform a license analyze on or more files.

SYNOPSIS
fosslic fosslic [options] file [file [file...]]

DESCRIPTION
fosslic is a limited command line fossology utility that can be used to perform a fossology license analysis on the specified files. fosslic has a number of limitations similar to the One-Shot user interface function. The limitations are:

•   The analysis is done in real-time. Large files may take a while. This method is not recommended for files larger than a few hundred kilobytes.

•   Files that contain files are not unpacked. If you use a zip or deb file, then the binary file will be scanned for licenses and nothing will likely be found.

•   Prints a simple list that summarizes the identified license types. The One-Shot user interface function will display the same summary or provide a color coded table and a highlighted listing of the licenses found.

  Options

-h  Standard help flag, prints usage.

-v  Enable verbose debugging.

  Examples
Perform an analysis on a filed called somefile.

 $: fosslic /tmp/somefile

Produces:

 /tmp/somefile: LGPL v2.1 Preamble, LGPL v2.1+

Authors
Neal Krawetz